EDIT - task #9219

Revert: requests with %2F in URL are rejected by apache
09/07/2020 04:49 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: server-maintenance Estimated time: 0:00 hour
Target version: Release 5.45

Severity: major

Description

remove the AllowEncodedSlashes On made for #7563 from apache configurations:

#

# NOTE: AllowEncodedSlashes is off per default to prevent possible security vulnerabilities.

# To allow the cdmserver resolving http identifiers via HTTP GET requests it is required t
o)

# allow encoded slashes. See https://dev.e-taxonomy.eu/redmine/issues/7563

#

AllowEncodedSlashes On

The edit servers and documentation needs to be adapted:

1. edit-test: /etc/apache2/sites-available/default -

2. edit-community: /etc/apache2/sites-available/siteconf -

3. edit-jobber: -

4. edit-integration: -

5. edit-demo1: -

6. edit-demo2: -

7. add to cdmserver installation documentation https:/cybertaxonomy.eu/cdmservet/installation -
Related issues:
Related to EDIT - bug #7563: requests with %2F in URL are rejected by apache Closed
Related to EDIT - bug #9220: adapt dataportal to /registrationDTO now using ... Closed
History

#1 - 09/07/2020 04:49 PM - Andreas Kohlbecker
- Related to bug #7563: requests with %2F in URL are rejected by apache added

#2 - 09/07/2020 04:49 PM - Andreas Kohlbecker

- Description updated

#3 - 09/07/2020 04:50 PM - Andreas Kohlbecker
- Related to bug #9218: Change /registrationDTO/identifier/... signatures to use query parameters instead added

#4 - 09/07/2020 06:12 PM - Andreas Kohlbecker
- Related to deleted (bug #9218: Change /registrationDTO/identifier/... signatures to use query parameters instead)

#5 - 09/07/2020 06:12 PM - Andreas Kohlbecker
- Related to bug #9220: adapt dataportal to /registrationDTO now using identifier as query parameter and secure against CVE-2007-0450 vulnerability
added

#6 - 12/01/2020 03:55 PM - Andreas Kohlbecker
- Target version changed from Release 5.18 to Release 5.19

- Severity changed from normal to major

to be done right after the release 5.18 is deployed to our servers
#7 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#8 - 03/10/2021 02:55 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#9 - 04/19/2021 04:34 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#10 - 07/09/2021 10:42 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45
